> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow

> Get a workflow by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /orchestration/workflows/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/workflows/{uuid}:
    get:
      tags:
        - Orchestration - Workflows
      summary: Get workflow
      description: Get a workflow by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Workflow identifier.
          required: true
          description: Workflow identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflow:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      nodes:
                        type: array
                        items:
                          $ref: '#/components/schemas/__schema0'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      playUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      toolUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      folderUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      template:
                        anyOf:
                          - type: object
                            properties:
                              slug:
                                type: string
                              isAvailable:
                                type: boolean
                              scope:
                                type: string
                                enum:
                                  - public
                                  - private
                            required:
                              - slug
                              - isAvailable
                              - scope
                            additionalProperties: false
                          - type: 'null'
                      lastBatch:
                        anyOf:
                          - type: object
                            properties:
                              uuid:
                                type: string
                              status:
                                type: string
                                enum:
                                  - pending
                                  - syncing
                                  - skipped
                                  - querying
                                  - running
                                  - success
                                  - error
                                  - cancelling
                                  - cancelled
                              runsStatus:
                                anyOf:
                                  - type: string
                                    enum:
                                      - healthy
                                      - unhealthy
                                  - type: 'null'
                              errorMessage:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              createdAt:
                                type: string
                              finishedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - uuid
                              - status
                              - runsStatus
                              - errorMessage
                              - createdAt
                              - finishedAt
                            additionalProperties: false
                          - type: 'null'
                      deployedRelease:
                        anyOf:
                          - type: object
                            properties:
                              uuid:
                                type: string
                              userUuid:
                                type: string
                              description:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              version:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              nodes:
                                type: array
                                items:
                                  allOf:
                                    - type: object
                                      properties:
                                        uuid:
                                          type: string
                                          format: uuid
                                          pattern: >-
                                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                                        slug:
                                          type: string
                                          pattern: ^\w+$
                                        name:
                                          type: string
                                        config:
                                          type: object
                                          propertyNames:
                                            type: string
                                          additionalProperties: {}
                                        description:
                                          type: string
                                        retry:
                                          type: object
                                          properties:
                                            maximumAttempts:
                                              type: number
                                            initialInterval:
                                              type: number
                                            backoffCoefficient:
                                              type: number
                                          additionalProperties: false
                                        childrenUuids:
                                          type: array
                                          items:
                                            anyOf:
                                              - type: string
                                              - type: 'null'
                                        fallbackChildUuid:
                                          type: string
                                        fallbackOnFailure:
                                          type: boolean
                                        position:
                                          type: object
                                          properties:
                                            x:
                                              type: number
                                            'y':
                                              type: number
                                          required:
                                            - x
                                            - 'y'
                                          additionalProperties: false
                                      required:
                                        - uuid
                                        - slug
                                        - config
                                        - childrenUuids
                                        - fallbackOnFailure
                                        - position
                                      additionalProperties: false
                                    - anyOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - native
                                            actionSlug:
                                              type: string
                                          required:
                                            - kind
                                            - actionSlug
                                          additionalProperties: false
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - connector
                                            connectorUuid:
                                              type: string
                                            integrationSlug:
                                              type: string
                                            actionSlug:
                                              type: string
                                          required:
                                            - kind
                                            - integrationSlug
                                            - actionSlug
                                          additionalProperties: false
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - tool
                                            toolUuid:
                                              type: string
                                            templateSlug:
                                              type: string
                                            releaseUuid:
                                              type: string
                                            waitUntilFinished:
                                              type: boolean
                                          required:
                                            - kind
                                          additionalProperties: false
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - agent
                                            agentUuid:
                                              type: string
                                            templateSlug:
                                              type: string
                                            releaseUuid:
                                              type: string
                                            waitUntilFinished:
                                              type: boolean
                                          required:
                                            - kind
                                          additionalProperties: false
                              formFields:
                                anyOf:
                                  - type: array
                                    items:
                                      allOf:
                                        - type: object
                                          properties:
                                            slug:
                                              type: string
                                            name:
                                              type: string
                                            description:
                                              type: string
                                            placeholder:
                                              type: string
                                            isRequired:
                                              type: boolean
                                          required:
                                            - slug
                                            - name
                                          additionalProperties: false
                                        - anyOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  enum:
                                                    - string
                                                    - number
                                                    - boolean
                                                    - date
                                                    - any
                                              required:
                                                - kind
                                              additionalProperties: false
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  enum:
                                                    - enum
                                                enum:
                                                  type: array
                                                  items:
                                                    type: string
                                              required:
                                                - kind
                                                - enum
                                              additionalProperties: false
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  enum:
                                                    - array
                                                fields:
                                                  type: array
                                                  items:
                                                    allOf:
                                                      - type: object
                                                        properties:
                                                          slug:
                                                            type: string
                                                          name:
                                                            type: string
                                                          description:
                                                            type: string
                                                          isRequired:
                                                            type: boolean
                                                        required:
                                                          - slug
                                                          - name
                                                        additionalProperties: false
                                                      - anyOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                enum:
                                                                  - string
                                                                  - number
                                                                  - boolean
                                                                  - date
                                                                  - any
                                                            required:
                                                              - kind
                                                            additionalProperties: false
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                enum:
                                                                  - enum
                                                              enum:
                                                                type: array
                                                                items:
                                                                  type: string
                                                            required:
                                                              - kind
                                                              - enum
                                                            additionalProperties: false
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                enum:
                                                                  - array
                                                              fields:
                                                                type: array
                                                                items:
                                                                  allOf:
                                                                    - type: object
                                                                      properties:
                                                                        slug: {}
                                                                        name: {}
                                                                        description: {}
                                                                        isRequired: {}
                                                                      required:
                                                                        - {}
                                                                        - {}
                                                                      additionalProperties: false
                                                                    - anyOf:
                                                                        - {}
                                                                        - {}
                                                            required:
                                                              - kind
                                                              - fields
                                                            additionalProperties: false
                                              required:
                                                - kind
                                                - fields
                                              additionalProperties: false
                                  - type: 'null'
                              templateSlug:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              deployedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              createdAt:
                                type: string
                            required:
                              - uuid
                              - userUuid
                              - description
                              - version
                              - nodes
                              - formFields
                              - templateSlug
                              - deployedAt
                              - createdAt
                            additionalProperties: false
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - nodes
                      - createdAt
                      - updatedAt
                      - deletedAt
                      - playUuid
                      - toolUuid
                      - folderUuid
                      - template
                      - lastBatch
                      - deployedRelease
                    additionalProperties: false
                    title: Workflow
                    description: Workflow details.
                required:
                  - workflow
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  schemas:
    __schema0:
      allOf:
        - type: object
          properties:
            uuid:
              type: string
            slug:
              type: string
            name:
              type: string
            description:
              type: string
            nodes:
              type: array
              items:
                $ref: '#/components/schemas/__schema0'
            isArchived:
              type: boolean
          required:
            - uuid
            - slug
            - nodes
            - isArchived
          additionalProperties: false
        - anyOf:
            - type: object
              properties:
                kind:
                  type: string
                  const: native
                actionSlug:
                  type: string
              required:
                - kind
                - actionSlug
              additionalProperties: false
            - type: object
              properties:
                kind:
                  type: string
                  const: connector
                connectorUuid:
                  type: string
                integrationSlug:
                  type: string
                actionSlug:
                  type: string
              required:
                - kind
                - integrationSlug
                - actionSlug
              additionalProperties: false
            - type: object
              properties:
                kind:
                  type: string
                  const: tool
                toolUuid:
                  type: string
                templateSlug:
                  type: string
                releaseUuid:
                  type: string
                waitUntilFinished:
                  type: boolean
              required:
                - kind
              additionalProperties: false
            - type: object
              properties:
                kind:
                  type: string
                  const: agent
                agentUuid:
                  type: string
                templateSlug:
                  type: string
                releaseUuid:
                  type: string
                waitUntilFinished:
                  type: boolean
              required:
                - kind
              additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````